<?php

namespace FiloBlu\Rma\Model\Rma\Status;

/**
 * Class History
 * @package Model\Rma\Status
 *
 */
class History extends \Magento\Rma\Model\Rma\Status\History
{
    /**
     * @var string
     */
    const XML_PATH_RECEIVED_EMAIL = 'sales_email/magento_rma_receive';

    /**
     * Sending received email with RMA data
     *
     * @return $this
     */
    public function sendReceivedEmail()
    {
        return $this->_sendRmaEmailWithItems($this->getRma(), $this->getRootRmaEmail());
    }

    /**
     * @return string
     */
    public function getRootRmaEmail()
    {
        return self::XML_PATH_RECEIVED_EMAIL;
    }
}